Create payment

Specific payments for Wallet Connect. During the agreement process, the integrator receives a "payer token" from the payer. This token allows the integrator to execute the payment directly from the payer's wallet. If you wish to apply discounts, it is necessary to first create a discount promise before using them.

POST

https://api.mercadopago.com/v1/advanced_payments
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as creating two identical payments, for example. To en...Show more
X-Meli-Session-Id
string
The Device ID is an important piece of information to ensure better security and, consequently, a better payment approval rate. It's a unique number that's used to identify a customer's device when they are buying.
Body
wallet_payment
object

REQUIRED

It indicates is a payment from a seller with a previous Wallet Connect vinculation.
payer
object

REQUIRED

Payer information required to craete the payment.
binary_mode
boolean
When the payment is activated, it can only be approved or rejected. Otherwise, the payment may be pending.
capture
boolean
It is a boolean field found in two-step payments (like debit card). In this type of payment, which is carried out asynchronously, the purchase value is first reserved (capture = false). This amount is captured and not de...Show more
Response parameters
id
number
Unique ID that identifies the payment.
payments
array
List of payments.
wallet_payment
object
It indicates is a payment from a seller with a previous Wallet Connect vinculation.
disbursements
array
Errors

400Bad Request

400

Missing header parameter.

500Error

500

Error

Provide valid data in the request parameters before executing.
Request
curl -X POST \
    'https://api.mercadopago.com/v1/advanced_payments'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********550113-12*********b4773884a*********e8df16347*********786' \
       -H 'X-Idempotency-Key: b0e72e3f-76d3-4d43-8665-d5e809226c3c' \
       -H 'X-Meli-Session-Id: DEVICE_ID' \
    -d '{
  "wallet_payment": {
    "transaction_amount": 24.5,
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123",
    "statement_descriptor": "descriptor",
    "forward_data": {
      "sub_merchant": {
        "sub_merchant_id": 123123,
        "mcc": "5462",
        "country": "PE",
        "address_door_number": 276,
        "zip": "15073",
        "document_number": "222222222222222",
        "city": "Lima",
        "address_street": "RUA A",
        "legal_name": "LOJINHA DO ZÉ",
        "region_code_iso": "BR-MG",
        "region_code": "BR",
        "document_type": "RUC",
        "url": "www.nomedofacilitador.com.br"
      }
    },
    "discount": {
      "amount": 10,
      "description": "DESC20",
      "detail": {
        "cap": 1000000,
        "type": "percentage",
        "value": 10
      }
    }
  },
  "payer": {
    "token": "abcdef1e23f4567d8e9123eb6591ff68df74c57930551ed980239f4538a7e530",
    "type_token": "wallet-tokens"
  },
  "binary_mode": false,
  "capture": false
}'
Response
{
  "id": 10267812,
  "payments": [
    {
      "id": 3870106238,
      "status_detail": "approved_id",
      "payment_method_id": "credit_card",
      "transaction_amount": "24.50",
      "installments": 1,
      "description": "Payment for the purchase of furniture",
      "capture": true,
      "external_reference": "payment_123"
    }
  ],
  "wallet_payment": {
    "transaction_amount": "24.50",
    "description": "payment of a bussines trip",
    "external_reference": "Payment_seller_123",
    "discount": {
      "amount": 10,
      "code": "WALLET10"
    }
  },
  "disbursements": [
    {
      "collector_id": "collectorId"
    }
  ],
  "payer": {
    "id": 8879
  },
  "site_id": "MPE",
  "binary_mode": true,
  "date_created": "2018-10-20T09:34:20.518-04:00",
  "date_last_updated": "2018-10-20T09:34:20.518-04:00"
}